> ## Documentation Index
> Fetch the complete documentation index at: https://docs.schoolmaker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Offers

> Retrieves all offers of your school.



## OpenAPI

````yaml get /offers
openapi: 3.0.1
info:
  title: SchoolMaker API V1
  description: API for managing your SchoolMaker school
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://schoolmaker.co/api/v1
    description: Production API
security:
  - bearerAuth: []
paths:
  /offers:
    get:
      summary: List Offers
      description: Retrieves all offers of your school.
      responses:
        '200':
          description: List of offers
          content:
            application/json:
              schema:
                type: object
                properties:
                  offers:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        description:
                          type: string
                        is_published:
                          type: boolean
                        prices:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              amount:
                                type: number
                              currency:
                                type: string
                        created_at:
                          type: string
                          format: date-time
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````